<div>
  <div class="m-3">
    <vwui-header>
      <vwui-title>
        User
      </vwui-title>
       <vwui-button slot="action" (click)="add('add')">Add</vwui-button>
      <vwui-button slot="action" (click)="edit('edit')">Edit</vwui-button>
      <vwui-button slot="action" (click)="delete('delete')">delete</vwui-button>
    </vwui-header>
  </div>
  <div class="m-3">
    <vwui-table tableTitle="User" compactable="false">
      <vwui-table-row>
        <vwui-table-header></vwui-table-header>
        <vwui-table-header>id</vwui-table-header>
        <vwui-table-header>Name</vwui-table-header>
        <vwui-table-header>Email</vwui-table-header>
      </vwui-table-row>
      <vwui-table-row *ngFor="let list of userList;let i=index">
        <vwui-table-column>
          <vwui-checkbox (click)="selectedData(list.id,$event)"></vwui-checkbox>
        </vwui-table-column>
        <vwui-table-column>{{i+1}}</vwui-table-column>
        <vwui-table-column>{{list.name}}</vwui-table-column>    
        <vwui-table-column>{{list.loginId}}</vwui-table-column>
      </vwui-table-row>
    </vwui-table>
  </div>
  <vwui-modal [visible]="showHideModal" close-on-backdrop-click=false close-on-esc=false>
    <vwui-modal-header show-close-button="false">{{modalTitle=='add'?"Add new":modalTitle=='edit'?"Edit":"Delete"}} User
    </vwui-modal-header>
    <vwui-modal-body>
      <ng-container *ngIf="modalTitle!='delete'">
        <form  [formGroup]="userFrom">
          <div class="form-group mb-3">
            <label>Name <span class="text-danger">*</span></label>
            <vwui-input type="text" placeholder="Enter name" formControlName="name"></vwui-input>
            <div *ngIf="submitted && f.name.errors" class="form-text text-danger text-left">
              <span *ngIf="f.name.errors.required">Name is
                required.</span>
            </div>
          </div>
          <div class="form-group mb-3">
            <label>Email address <span class="text-danger">*</span></label>
            <vwui-input type="email"  placeholder="Enter email" formControlName="loginId"></vwui-input>
            <div *ngIf="submitted && f.loginId.errors" class="form-text text-danger text-left">
              <span *ngIf="f.loginId.errors.required">Email is
                required.</span>
                <span *ngIf="f.loginId.errors.email">Valid Email
                  required.</span>
            </div>
          </div>
          <div class="form-group mb-3">
            <label>Password <span class="text-danger">*</span></label>
            <vwui-input type="password" placeholder="Enter password" formControlName="password"></vwui-input>
            <div *ngIf="submitted && f.password.errors" class="form-text text-danger text-left">
              <span *ngIf="f.password.errors.required">Password is
                required.</span>
            </div>
          </div>
        </form>
      </ng-container>
      <ng-container *ngIf="modalTitle=='delete'">
        <span>Are you sure want to delete?</span>
      </ng-container>
    </vwui-modal-body>
    <vwui-modal-footer>
      <vwui-button class="is-light" (click)="cancel()">Cancel</vwui-button>
      <vwui-button class="is-primary" *ngIf="modalTitle!='delete'" (click)="onSubmit()">
        {{modalTitle=='add'?"Save":"Update"}} </vwui-button>
      <vwui-button class="is-primary" *ngIf="modalTitle=='delete'" (click)="deleteData()">Delete</vwui-button>
    </vwui-modal-footer>
  </vwui-modal>

</div>